Return a part unit to the storage
https://carchost.fieldcontrol.com.br/part-units/{id}/returnReturns a delivered unit to the storage, with an entry movement. The unit must be delivered.
Requires the
X-Api-Key,User-AgentandContent-Type: application/jsonheaders. Limit: 1 request per second (learn more).
Request
Path parameters
idstringrequiredPart unit identifier.
Example: YzNkNGU1ZjYtYTdiOC05MDEyLWNkZWYtMTIzNDU2Nzg5MDEyOjIyOTE1.
Headers
User-AgentstringrequiredIdentification of your application.
Example: MinhaIntegracao/1.0.
Request body
JSON, sent with the Content-Type: application/json header.
storageIdstringrequiredStorage that receives the unit.
Responses
- 200
Unit returned (
available, orunder_reviewin a triage storage). - 401
API key missing (
Missing API Key) or invalid (Invalid API Key). See Authentication. - 403
Account blocked (
Account blocked), expired (Account expired) or on a plan that does not allow integration (Account plan not allowed). See Authentication. - 422
Unit not delivered (
reason: invalid status) or nonexistent storage (resourceValidationErr). Nonexistent unit: 422 resourceNotFound (there is no 404). Invalid URL identifier or one from another account: uriValidationErr. - 429
Limit of 1 request per second exceeded. See Rate limit.
- 500
Unexpected server error. It also happens when an identifier in the body is not in the expected format.